## GESAudioTrack GESAudioTrack — A standard GESTrack for raw audio |

## Functions

GESAudioTrack * | ges_audio_track_new ()

## Types and Values

| GESAudioTrack

## Includes

    #include <ges/ges.h>

## Description

Sane default properties to specify and fixate the output stream are set as restriction-caps. It is advised, to modify these properties, to use ges_track_update_restriction_caps, setting them directly is possible through ges_track_set_restriction_caps, but not specifying one of them can lead to negotiation issues, only use that function if you actually know what you're doing :)

The default properties are:

- format: S32LE

- channels: 2

- rate: 44100

- layout: interleaved

## Functions

### ges_audio_track_new ()

    GESAudioTrack *
    ges_audio_track_new (void);

Creates a new GESAudioTrack of type GES_TRACK_TYPE_AUDIO and with generic raw audio caps ("audio/x-raw");

#### Returns

A new GESTrack.

[transfer floating]

## Types and Values

### GESAudioTrack

    typedef struct {
      GESTrack parent_instance;
    } GESAudioTrack;